%define upstream_name    MooseX-Iterator
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Iterate over collections
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This is an attempt to add SmallTalk-like streams to Moose. It currently
works with ArrayRefs and HashRefs.

* next

  The next method provides the next item in the collection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-13.mga9
+ Revision: 1809819
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-12.mga8
+ Revision: 1505385
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-11.mga7
+ Revision: 1285079
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.110.0-10.mga7
+ Revision: 1165618
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.110.0-9.mga7
+ Revision: 1160245
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-8.mga6
+ Revision: 1030414
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-7.mga6
+ Revision: 948626
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 788214
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 747056
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 685541
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 513134
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 28671
- mageia rebuild
- imported package perl-MooseX-Iterator


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 607004
- import perl-MooseX-Iterator

